package main

import (
	"bufio"
	"fmt"
	"os"
	"strconv"
	"strings"
	"unicode"
)

func main() {
	/*
		var big int64 = 64
		var little int8

		little = int8(big)
		fmt.Println(little)
		fmt.Printf("%T\n", big)
	*/
	// foo1()
	// fmt.Println(adding("%^80", "hhhhh20&&&&nd"))
	foo2()
}

func convert(val int64) uint16 {
	return uint16(val)
}

func foo1() {
	fmt.Println([]rune("stepik"))
	fmt.Println(string([]byte("stepik")))

	a := 10.123
	res := int64(a)
	fmt.Println(res)

	// fmt.Println(int64(10.123))
	// fmt.Println(101.0 / 10)
	// fmt.Println(strconv.FormatBool(10 == int(float64(100/10))))
	// res := (strconv.FormatBool(true)) == (10 == int(float64(100/10)))
	// fmt.Println(res)
}

func adding(a, b string) int64 {
	ar := []rune(a)
	br := []rune(b)
	var sa, sb string

	for _, val := range ar {
		if unicode.IsDigit(val) {
			sa += string(val)
		}
	}

	for _, val := range br {
		if unicode.IsDigit(val) {
			sb += string(val)
		}
	}

	ia, _ := strconv.Atoi(sa)
	ib, _ := strconv.Atoi(sb)

	return int64(ia + ib)
}

func foo2() {
	scanner := bufio.NewScanner(os.Stdin)
	scanner.Scan()
	s := scanner.Text()
	s = strings.ReplaceAll(strings.ReplaceAll(s, " ", ""), ",", ".")
	ns := strings.Split(s, ";")
	a, _ := strconv.ParseFloat(ns[0], 64)
	b, _ := strconv.ParseFloat(ns[1], 64)
	fmt.Printf("%.4f", a/b)
}
